pluginManagement {
    repositories {
        // 阿里云镜像（覆盖 Maven Central、Google、JCenter 等）
        maven("https://maven.aliyun.com/repository/public/")
        maven("https://maven.aliyun.com/repository/google/")
        maven("https://maven.aliyun.com/repository/jcenter/")
        maven("https://maven.aliyun.com/repository/gradle-plugin/")
// 华为云镜像
        maven("https://repo.huaweicloud.com/repository/maven/")
// 腾讯云镜像
        maven("https://mirrors.cloud.tencent.com/nexus/repository/maven-public/")
        google()
        mavenCentral()
        gradlePluginPortal()
    }
}
dependencyResolutionManagement {
    repositoriesMode.set(RepositoriesMode.FAIL_ON_PROJECT_REPOS)
    repositories {
        // 阿里云镜像（覆盖 Maven Central、Google、JCenter 等）
        maven("https://maven.aliyun.com/repository/public/")
        maven("https://maven.aliyun.com/repository/google/")
        maven("https://maven.aliyun.com/repository/jcenter/")
        maven("https://maven.aliyun.com/repository/gradle-plugin/")
// 华为云镜像
        maven("https://repo.huaweicloud.com/repository/maven/")
// 腾讯云镜像
        maven("https://mirrors.cloud.tencent.com/nexus/repository/maven-public/")
        google()
        mavenCentral()
        maven("https://jitpack.io")
        flatDir {
            dirs("libs")
        }

        // TradPlus
        mavenCentral()
        // Ironsource
        maven("https://android-sdk.is.com/")
        // Pangle
        maven("https://artifact.bytedance.com/repository/pangle")
        // Mintegral
        //Launch GP market application， Android X Version
        //If you fail to pull the code using gradle, add the maven warehouse configuration to the project root build.gradle file
        maven("https://dl-maven-android.mintegral.com/repository/mbridge_android_sdk_oversea")
    }
}

rootProject.name = "Snap Wallpaper"
include(":app")
 